#
# Conditional build:
%bcond_without	tests		# build without tests

%define		php_name	php%{?php_suffix}
%define		modname	dio
Summary:	%{modname} - Direct I/O functions
Summary(pl.UTF-8):	%{modname} - funkcje bezpośredniego we/wy
Name:		%{php_name}-pecl-%{modname}
Version:	0.0.7
Release:	4
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	a1a4df428a17dbe1ab4277b492dfa052
URL:		http://pecl.php.net/package/dio/
BuildRequires:	%{php_name}-devel >= 3:5.0.4
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-dio
Obsoletes:	php-pecl-dio < 0.0.7-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PHP supports the direct I/O functions as described in the Posix
Standard (Section 6) for performing I/O functions at a lower level
than the C-Language stream I/O functions (fopen(), fread(),..). The
use of the DIO functions should be considered only when direct control
of a device is needed. In all other cases, the standard filesystem
functions are more than adequate.

%description -l pl.UTF-8
PHP obsługuje funkcje bezpośredniego we/wy wg opisu w standardzie
POSIX (sekcji 6) do wykonywania operacji we/wy na poziomie niższym niż
funkcje strumieni we/wy w języku C (fopen(), fread()...). Użycie
funkcji DIO powinno być rozważane tylko jeśli potrzebna jest
bezpośrednia kontrola nad urządzeniem. We wszystkich innych
przypadkach odpowiedniejsze są standardowe funkcje operacji na
systemie plików.

%prep
%setup -qc
mv %{modname}-%{version}*/* .
# all files with 1970 timestamp
find -newer php_dio_stream_wrappers.h -o -print | xargs touch --reference %{SOURCE0}

%build
phpize
%configure
%{__make}

%if %{with tests}
export NO_INTERACTION=1 REPORT_EXIT_STATUS=1 MALLOC_CHECK_=2
unset TZ LANG LC_ALL || :
%{__make} test
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d

%{__make} install \
	EXTENSION_DIR=%{php_extensiondir} \
	INSTALL_ROOT=$RPM_BUILD_ROOT
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Mon May 26 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-dio.git;a=log;h=auto/th/php-pecl-dio-0.0.7-4

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> 7b3bdf2
- obsolete old php name
- release 4 (by relup.sh)

* Sun Apr 27 2014 Elan Ruusamäe <glen@delfi.ee> a50c68d
- php 5.5 rebuild
- release 3 (by relup.sh)

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 4139451
- provide php(extname) to really be supporting multiple php versions

* Thu Nov 21 2013 Elan Ruusamäe <glen@delfi.ee> d909a48
- up to 0.0.7

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 1c2d894
- support building for multiple php versions

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 10b26aa
- use php(core) as dependency to require php version
- release 3 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 6706df5
- release 3 (by relup.sh)

* Wed Oct 05 2011 Elan Ruusamäe <glen@pld-linux.org> adebcbe
- run tests

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> da3ae3f
- release 2

* Thu Sep 02 2010 Elan Ruusamäe <glen@pld-linux.org> df8d236
- "up" to 0.0.4RC4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> cbced4f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5ba5e23
- converted to UTF-8

* Tue Jan 16 2007 Elan Ruusamäe <glen@pld-linux.org> 8eae68c
- use new php extension macros

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> b14bc21
- BR rpmmacros for fixed %requires_php_extension

* Sun Dec 25 2005 Elan Ruusamäe <glen@pld-linux.org> dfd3b24
- build with cvs snapshot. does it work? no clue

* Sat Oct 29 2005 Elan Ruusamäe <glen@pld-linux.org> 86402c3
- rebuild with zts and debug requires

* Wed Sep 14 2005 Elan Ruusamäe <glen@pld-linux.org> c97cc63
- conf.d and php api macros

* Tue Sep 13 2005 Elan Ruusamäe <glen@pld-linux.org> b6dedad
- superfluous BR libtool removed

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 0d79ef7
- pl

* Thu Aug 25 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 5d48e55
- nothing; not available yet

